Subject: RE: [AAA-WG]: Peer state machine

From: <[email-masked]>
Date: Wed, 2 Oct 2002 09:16:55 +0300

Hi,

Thanks for the text, I agree with your text.  I haven't seen
any other comments - I will fix the text, as long as 
there are no other comments.

John

> -----Original Message-----
> From: ext [mailto:[email-masked]]
> Sent: 25 September, 2002 15:02
> To: [email-masked]
> Subject: [AAA-WG]: Peer state machine 
> 
> 
> Issue 318:Peer state machine bug
> Submitter name: Ghadiyaram Venkata Kishore
> Submitter email address: [email-masked],	
> Date first submitted: September 25, 2002
> Reference: 
> Document: Base
> Comment type: T
> Priority: 1
> Section:
> Rationale/Explanation of issue
> 
> In the peer state machine specification in the base protocol 
> there is a difference in handling R-Conn-CER event when the 
> state is R-Open and when the state is I-Open.
> 
> R-Open   R-Conn-CER    R-Snd-CEA    R-Open
>                        R-Reject
> I-Open   R-Conn-CER    R-Reject     R-Open
> 
> It should not be necessary to send a CEA as the state is 
> already open on another another connection. The incoming 
> R_CONN_CER can be just rejected. Moreover if a CEA is to be 
> sent then which result code should be used by the CEA in this case.
> 
> Requested Change :
> 
> Change 
> 
>       R-Open           Send-Message     R-Snd-Message    R-Open
>                        R-Rcv-Message    Process          R-Open
>                        R-Rcv-DWR        Process-DWR,     R-Open
>                                         R-Snd-DWA
>                        R-Rcv-DWA        Process-DWA      R-Open
>                        R-Conn-CER       R-Snd-CEA        R-Open
>                                         R-Reject
>                        Stop             R-Snd-DPR        Closing
>                        R-Rcv-DPR        R-Snd-DPA,       Closed
>                                         R-Disc
>                        R-Peer-Disc      R-Disc           Closed
>                        R-Rcv-CER        R-Snd-CEA        R-Open
>                        R-Rcv-CEA        Process-CEA      R-Open
> 
> To
> 
>       R-Open           Send-Message     R-Snd-Message    R-Open
>                        R-Rcv-Message    Process          R-Open
>                        R-Rcv-DWR        Process-DWR,     R-Open
>                                         R-Snd-DWA
>                        R-Rcv-DWA        Process-DWA      R-Open
>                        R-Conn-CER       R-Reject         R-Open
>                        Stop             R-Snd-DPR        Closing
>                        R-Rcv-DPR        R-Snd-DPA,       Closed
>                                         R-Disc
>                        R-Peer-Disc      R-Disc           Closed
>                        R-Rcv-CER        R-Snd-CEA        R-Open
>                        R-Rcv-CEA        Process-CEA      R-Open
> 
>